Subject: bug#9915: 24.0.91; Info-hide-node-references does not take effect immediately

From: Juri Linkov <[email-masked]>
Date: Tue, 01 Nov 2011 23:59:02 +0200

> This works for me, thanks.  But there seems to be a left-over problem
> with this change, at least on a TTY: when I finish customizing the
> value and hit RET on the "Set for current session" button, Emacs
> signals an error:
>
>    custom-variable-set: Selecting deleted buffer

This is due to the peculiarity of the implementation of
`Info-revert-find-node' that kills the *Info* buffer to revert it.
Its comment says:

  ;; It's perhaps a bit nasty to kill the *info* buffer to force a re-read,
  ;; but at least it keeps this routine (which is for makeinfo-buffer and
  ;; Info-revert-buffer-function) out of the way of normal operations.

It has other nasty effects when used in defcustom, e.g. when
*Info* buffers are displayed in different windows, it will mess up
the window configuration.  I think `Info-revert-find-node' should
be rewritten to not kill the *Info* buffer, but I'm not sure
whether this is need for 24.1.